+ Post New Thread
Page 11 of 642 FirstFirst ... 9 10 11 12 13 21 61 111 511 ... LastLast
Threads 251 to 275 of 16040

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 92,333
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 75,789
    18th Sep 2006 10:46 pm Go to last post
  1. Add Dimensions to Rectangles

    Helo all.... i have 2 objects. one is Rectangles and another one is crossing lines. for large number of rectangles i am suffered with manual dimension. distance between dimension to rectangle...

    Started by Raje‎, 23rd Nov 2017 07:52 am
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,167
    2nd Dec 2017 12:25 am Go to last post
  2. Change Layer and Create New Layer If Needed LISP

    Hello! So I've been Googling around the internet and am trying to find a LISP that, upon selecting an object, would place that object on a demo layer and if that layer is not present, would create...

    Started by PaulS00‎, 6th May 2016 04:49 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 2,906
    1st Dec 2017 06:02 pm Go to last post
  3. Getpoint & repeat

    Hi Guys, I am writing a lisp using Getpoint (mouse input) and sometime i need 1 point sometime 2 sometime 3 and setq each point to pt1 pt2 pt3. If i want to make this lisp keep asking Getpoint...

    Started by leong1221‎, 30th Nov 2017 06:15 am
    • Replies: 4
    • Views: 438
    1st Dec 2017 04:39 am Go to last post
  4. The IF Statement

    I'm having this little problem getting this one to work. It's almost there but I think the IF statement is getting confused as well as me. I probably understand that there may be other ways to write...

    Started by TunzaGibbo‎, 29th Nov 2017 05:14 am
    • Replies: 5
    • Views: 608
    30th Nov 2017 03:45 am Go to last post
  5. Read a File to Remove and Replace a String in MTEXT

    Currently we are using Lee Mac’s UpdateTitleBlock and it has been working flawlessly reading the CSV file and putting the data in place. However, I have been thrown a bit of a curve. I have a section...

    Started by GregGleason‎, 15th Nov 2017 03:34 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 1,540
    30th Nov 2017 03:39 am Go to last post
  6. Global Variable Not So Global?

    I have a acaddoc.lsp routine with this code snippet: (princ "\nHey!") (load mypatlsp) ReadCSVForInsu (princ "\nInsulation After: ") (princ *insulationtyp*) The result in the Text Window is:

    Started by GregGleason‎, 29th Nov 2017 06:20 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 703
    30th Nov 2017 03:24 am Go to last post
  7. Help to modify existing lisp

    Hey all, (Sorry if this is long)I found a lisp that I think is absolutely amazing in itself the way it works. I wanted to find out if someone would be able to help me modify this a little. I...

    Started by dnovember99‎, 29th Nov 2017 05:18 pm
    2 Pages
    1 2
    • Replies: 13
    • Views: 870
    30th Nov 2017 01:15 am Go to last post
  8. Lisp for inserting 4 blocks with 2 points and direction

    Hi Thanks in advance for reading and trying to help. I'ld like to make a lisp (autocad) to insert 4 blocks using the following method. https://image.ibb.co/iynhk6/LISP_OR_DYNBLOCK.png ...

    Started by con‎, 27th Nov 2017 12:24 pm
    • Replies: 4
    • Views: 304
    29th Nov 2017 02:11 pm Go to last post
  9. Understanding Lee Mac's coding?

    Hello all, While trying to learn ALOT of Lee Mac's his coding, i came across this very 'simple' piece of code... ;; Active Document - Lee Mac ;; Returns the VLA Active Document Object ...

    Started by Aftertouch‎, 27th Nov 2017 01:36 pm
    • Replies: 5
    • Views: 527
    29th Nov 2017 11:52 am Go to last post
  10. Smile Finding a blocks insertion point and inserting a another block in the same spot.

    Hello i need a lisp rutine that could find a Blocks (Drawing Head) insertion point and a insert another block in the same spot. I don't presume that could be a long lisp rutine. I have looked around...

    Started by elfert‎, 12th Jan 2012 10:02 pm
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 15,015
    28th Nov 2017 09:22 pm Go to last post
  11. Xref Draworder

    Hi All I was recently scouting usual Lisp forums for code that would display a dialog box with a list of Xrefs in the current drawing. And within the dialog box, there would be a 'Move Up' ,...

    Started by Shoey‎, 27th Nov 2017 06:24 pm
    • Replies: 3
    • Views: 308
    28th Nov 2017 05:37 pm Go to last post
  12. Proper Syntax to Split Delimeted Record to Variable

    I imagine this code needs just a quick fix. I am reading a CSV, split the record to a variable so I can test variables. I am getting an error when I try to invoke: (LM:str->lst fil ",") ...

    Started by GregGleason‎, 16th Nov 2017 12:55 am
    2 Pages
    1 2
    • Replies: 14
    • Views: 790
    28th Nov 2017 04:15 pm Go to last post
  13. lisp routine to modify X, Y and Z axis

    hey all, i am trying to figure out a way to be able to take a block and change the x y and z axis from one value to another. for example something i currently have would be a tag that has a value...

    Started by dnovember99‎, 27th Nov 2017 06:33 pm
    • Replies: 7
    • Views: 408
    28th Nov 2017 03:28 pm Go to last post
  14. Autorunning a lsip

    I have the following Lisp routine to automatically set some variables for other lisp routines to use. (defun c:Material-sizes () (setq timber_length 4800) (setq Ply_length 2400) ...

    Started by AdamW‎, 22nd Nov 2017 10:47 pm
    • Replies: 2
    • Views: 354
    28th Nov 2017 08:29 am Go to last post
  15. Help with explode in lisp please

    Can Some point me in the right direction with a lisp i wrote. Being Newish to lisp I cant see where I have gone wrong The first one below works fine (Defun C:girder1 (/ sel1) (setq sel1...

    Started by AdamW‎, 27th Nov 2017 02:32 pm
    • Replies: 2
    • Views: 321
    27th Nov 2017 10:47 pm Go to last post
  16. Draw a CIRCLE from aselected LINE

    (defun c:cxircle(/ PT1 PT2 s) (setq s (ssget '((0 . "LINE")))) PT1 (cdr (assoc 10 s)) PT2 (cdr (assoc 11 s)) (command "LINE" PT1 PT2 "") (command "CIRCLE" "2P" PT1 PT2) ...

    Started by ktbjx‎, 27th Nov 2017 10:20 am
    • Replies: 5
    • Views: 364
    27th Nov 2017 11:32 am Go to last post
  17. Getstring & Strcat

    Hi, I'm trying to write a lisp to help me do the elevation leader & material code easier. But seems like I miss understand some function. I want to setq the Material Code by only input 2...

    Started by leong1221‎, 9th Nov 2017 03:35 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 1,196
    27th Nov 2017 06:40 am Go to last post
  18. Batch Find & Replace Text error

    Can somebody please help me with this program. http://www.lee-mac.com/bfind.html I tied to use it but every time I get this error. :unsure: Command: BFIND Working, Please Wait... ** Error:...

    Started by dubravka‎, 23rd Nov 2017 11:21 pm
    • Replies: 0
    • Views: 183
    23rd Nov 2017 11:21 pm Go to last post
  19. ZeroRotation.lsp Set rotation of objects to zero (based on current UCS)

    A request in another thread made me dig this up and do a little updating. I thought I'd post it for you good people. This will rotate all selected MText, Text, Multileaders and Blocks to match the...

    Started by alanjt‎, 23rd Oct 2009 04:31 pm
    2 Pages
    1 2
    • Replies: 19
    • Views: 17,395
    23rd Nov 2017 01:38 pm Go to last post
  20. Lay off Filters fail - can't determine reason

    Hello- This is part of a larger cleaning the drawing script, but for some reason it is failing to turn off the layers based on the filters. Any input would be great, I think it is a super simple...

    Started by noochstyle‎, 22nd Nov 2017 06:18 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 930
    23rd Nov 2017 02:39 am Go to last post
  21. defun-q vs defun

    Would someone please give me an didiots guide to the difference between defun-q and defun. I've seen a few routines of late written with defun-q instead of defun. Most also seem to be missing the...

    Started by AdamW‎, 22nd Nov 2017 11:10 pm
    • Replies: 1
    • Views: 343
    23rd Nov 2017 01:14 am Go to last post
  22. Drawing draw chainage on polyline

    Hello to all can any one help to draw chainage for equal distance on a polyline as in attached jpg

    Started by motee-z‎, 12th Jun 2008 11:15 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 48
    • Views: 46,770
    22nd Nov 2017 04:03 pm Go to last post
  23. Output to command line during code execution

    I have a block processing routine which can take several seconds to complete and I want to provide feedback to the user whilst it does it's thing. acet-ui-progress works great for users with...

    Started by thatandyward‎, 15th Nov 2017 05:08 pm
    2 Pages
    1 2
    • Replies: 18
    • Views: 1,382
    22nd Nov 2017 02:49 pm Go to last post
  24. Is there a way to “pause” viewport display while running lisp.

    For example lisp is drawing complicated shapes out of individual lines – is there a way to “pause” the display for the duration of the function, so that complete linework just show all at once,...

    Started by HideQ‎, 21st Nov 2017 03:46 pm
    display, lisp, pause, screen, viewport
    • Replies: 6
    • Views: 1,029
    22nd Nov 2017 02:31 pm Go to last post
  25. change all z of point to 0.0

    Hello, Can someone tell me the way change all z of point to 0.0 (attached file) Thanks.

    Started by new_mem‎, 18th Nov 2017 12:41 am
    2 Pages
    1 2
    • Replies: 16
    • Views: 1,428
    22nd Nov 2017 01:43 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts